--- title: "Get List of Transactions by id's" slug: "returns-a-list-of-transactions-for-a-given-publisher-by-ids" updated: 2026-10-06T14:20:49Z published: 2026-10-06T14:20:49Z canonical: "help.awin.com/returns-a-list-of-transactions-for-a-given-publisher-by-ids" --- > ## Documentation Index > Fetch the complete documentation index at: https://help.awin.com/llms.txt > Use this file to discover all available pages before exploring further. # Get List of Transactions by id's Get/publishers/{publisherId}/transactions **GET transactions (by ID)** Publishers can pull individual transactions, check the status of the transactions, create their reports, and obtain additional information that can be shared between publishers and advertisers via clickref (from publisher to advertiser) and orderRef and custom parameters (from advertiser to publisher). In addition to pulling transactions for a certain time frame, transactions can also be pulled by their IDs. **Who can use it** Publishers Header parametersAuthorizationstring accessToken Path parameterspublisherIdinteger (int64) Required publisher id Default123456 Query parametersaccessTokenstringRequired access token idsstringRequired ids showBasketProductsboolean show basket products Defaultfalse timezonestring time zone in short or default format Default"UTC" **Further details on query parameters** | parameter | format | mandatory/optional | | --- | --- | --- | | ids | numeric, comma-separated | mandatory | | timezone | See [https://help.awin.com/apidocs/timezones](https://help.awin.com/apidocs/timezones) for timezone details. | optional, default is UTC | | showBasketProducts | JSON array | optional | Responses200 OK Note that the field "lapseTime" is the conversion time in seconds **Basket Products** If &showBasketProducts=true then products sent via Product Level Tracking matched to the transaction can be viewed (please see "Conditional data fields" below for restrictions that might apply) **Conditional data fields** Some data fields are only available to publishers and depening on additional settings. | datafield | available for publishers | | --- | --- | | orderRef | yes, if the publisher is activated to see it | | clickRef | yes | | clickRef2 - clickRef6 | yes | | customParameters | yes, if the advertiser shares them with his publishers | | basketProducts | yes, if the advertiser shares them with his publishers | | networkFee | no |